Page MenuHomePhabricator

[Xtensa 1/10] Recognize Xtensa in triple parsing code.
AcceptedPublic

Authored by andreisfr on Jul 16 2019, 3:16 PM.

Details

Summary

I'm sharing initial set of patches that adds LLVM backend for Xtensa architecture. It is based on this LLVM fork https://github.com/espressif/llvm-xtensa. I prepared patches by similar way like it was already successfully done for RISCV, i.e. incrementally add an initial MC layer for Xtensa by small chunks which could be reviewable.

Diff Detail

Event Timeline

andreisfr created this revision.Jul 16 2019, 3:16 PM
arsenm accepted this revision.Jul 16 2019, 3:25 PM
This revision is now accepted and ready to land.Jul 16 2019, 3:25 PM
appcs added a reviewer: appcs.Jul 16 2019, 3:49 PM
appcs added a subscriber: appcs.
appcs accepted this revision.Jul 16 2019, 3:53 PM
aykevl added a subscriber: aykevl.Jul 20 2019, 1:39 PM
aykevl added a comment.EditedAug 15 2019, 11:08 AM

Is there a reason why this hasn't been committed yet?

@andreisfr if you don't have commit access, you can indicate that here so that someone else can commit it for you.
For details: https://llvm.org/docs/Contributing.html#how-to-submit-a-patch

(I'm just very excited about having Xtensa support in LLVM).

@aykevl, I'm not sure whether we currently could upload patch 1/10, because there are some questions in patch 4/10 about ISA(we currently have just opensource projects and unofficial documents with Xtensa ISA description). You could participate in this discussion to move the Xtensa backend forward.

I think the standard for what is committed for the triple is quite low. We already have out of tree targets included in the upstream triple, so it doesn't really matter what happens with the follow up patches. This should be fine to commit without waiting for the rest of the backend review